AnsweredAssumed Answered

got error in spark2.5.8--java.lang.UnsatisfiedLinkError: no tray in java.library.path

Question asked by Caren on Oct 14, 2010
Latest reply on Oct 25, 2010 by mentago

hi,

 

I got this exception when debug  spark2.5.8 in eclipse,

I have tried to add a JVM parameter to the run properties as :-Djava.library.path=C:\.......\Sparkplugs\spark\lib\windows

but it appears a different error:

java.lang.UnsatisfiedLinkError: org.jdesktop.jdic.tray.internal.impl.GnomeSystemTrayService.initNative(Ljava/la ng/String;)V

 

With this error the spark still can work but there will not be any tray icon.

 

What should i do?

Please give me some suggestion, thanks

Outcomes